Package com.tietoenator.trip.jxp.control

# Class TdbProcedureList

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.TdbMessageProvider
com.tietoenator.trip.jxp.TdbMessageProvidingList<TdbControlObject>
com.tietoenator.trip.jxp.control.TdbControlObjectList
com.tietoenator.trip.jxp.control.TdbProcedureList

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`, `Iterable<TdbControlObject>`, `Collection<TdbControlObject>`, `List<TdbControlObject>`

public class TdbProcedureList extends TdbControlObjectList
Retrieve the list of procedures owned by a particular user or group

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbProcedureList(TdbSession session, String userOrGroup)`
  Constructor, retrieves the list of procedures owned by a particular user or group

- ## Method Summary

  ### Methods inherited from class com.tietoenator.trip.jxp.control.TdbControlObjectList

  `contains, contains, get, refresh, transform`

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvidingList

  `add, add, addAll, addAll, clear, contains, containsAll, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvider

  `codeList, getLastCode, getLastMessage, hasMessages, messageList, resetMessages`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `equals, hashCode, replaceAll, sort, spliterator`

- ## Constructor Details

  - ### TdbProcedureList

    public TdbProcedureList(TdbSession session, String userOrGroup) throws TdbException
    Constructor, retrieves the list of procedures owned by a particular user or group
    Parameters:
      `session` - Active session
      `userOrGroup` - User of group for whom the procedure list is to be retrieved
    Throws:
      `TdbException`